<template>
  <p>默认自带二次确认</p>
  <x-table-btn type="delete" @click="handleDelete" />
  <p>改变默认确认文案</p>
  <x-table-btn type="delete" @click="handleDelete" confirmContent="哈哈哈" />
  <p>无确认</p>
  <x-table-btn type="delete" :confirm="0" @click="handleDelete" />
</template>

<script lang="ts" setup>
const handleDelete = () => {
  alert('删除回调函数')
}
</script>

<style scoped lang="less"></style>
